Template:Which version/sandbox From Online Manual

Jump to: navigation, search
[edit] [purge] Template documentation

This template is used to produce easily-updatable documentation on which version of the SMF software the user should install. Example:

{{Which version
|currentstable=1.1.13
|currentseries=1.1
|firstinseries
|deprecatedseries=1.0
|obsoleteseries=0.0
}}
  • currentstable The current stable version of the SMF software -- the first listed on the downloads page
  • currentseries The series to which the current stable version belongs (1.1.13 is in the series 1.1)
  • firstinseries If the current stable version is the first in a new series (2.0, 1.0, etc), include this parameter. Otherwise, leave it out.
  • deprecatedseries (optional) The currently deprecated series; the series which is no longer current. With the release of 1.1, the 1.0 series became deprecated. Still supported. No new features to be added. Important bugfixes possible.
  • obsoleteseries (optional) Any previous series which is no longer supported, and for which no new bugfixes are to be released